<?
/////////////////////////////////////////////////////
//  险情文章管理 1.0正式版本--php文本存储格式      //
//  作者：上海财经大学99国际工管    险情           //
//  email：indraw@sina.com                         //
//  qq：   30467826                                //
//  技术支持：http://shcj.51.net/wdb               //
//  最新演示：http://xqart.126.com                 //
//  2002/4/10                                      //
//  最新下载地址 http;//shcj.51.net/wdb            //
/////////////////////////////////////////////////////
include ("config.php");
include ("xqfunc.php");
    if ($sent==1){
mail($TO_EMAIL,$SUBJECT,"
你的朋友\"$FROM_NAME\"给你发来的文章《{$file_name}》:
\n___________________________________\n
$CONTENT
\n\n___________________________________\n
欢迎访问{$web_title}文章管理中心\n
{$file_url}\n
此邮件由：险情文章管理中心(xqart)发送。\n
技术支持：http://shcj.51.net/bbs
","From:\"$FROM_NAME\"<$FROM_EMAIL>");
  $msg="您已经成功发送文章";
  $turn_page="javascript:history.back(1);";
  error_2($msg,$turn_page);
  exit;
   }
?>
<HTML>
<HEAD>
<META http-equiv='Content-Type' content='text/html; charset=gb2312'>
<TITLE>险情文章发送</TITLE>
<LINK href="style.css" type=text/css rel=stylesheet>
<script language=javascript>
function p_search_Form() {
        var chec=document.p_search;
        if ( chec.FROM_NAME.value.length < 2) {
        alert('请输入发件人姓名.');
        return false;
        }
        if ( chec.FROM_EMAIL.value.length < 5) {
        alert('请正确输入发件人邮件地址.');
        return false;
        }
        if ( chec.FROM_EMAIL.value.length < 5) {
        alert('请真确输入收件人邮件地址.');
        return false;
        }
        if ( chec.SUBJECT.value.length < 5 ) {
        alert('没有输入标题或标题过短.');
        return false;
        }
        if ( chec.CONTENT.value.length < 10 ) {
        alert('没有输入内容或内容过短.');
        return false;
        }
}
</script>

</HEAD>

<BODY BGCOLOR=WHITE>

<FORM  onsubmit='return p_search_Form();' name='p_search' method="post">

<DIV ALIGN='CENTER'>
<TABLE WIDTH='98%' CELLSPACING='0' CELLPADDING='0' BORDER='0'>
<TR>
<TD>
<TABLE BORDER='0' CELLPADDING='2' CELLSPACING='1' WIDTH='100%' bgcolor="<?echo"$biankuang_color"?>">
<TR>
<TD WIDTH=100% COLSPAN=2 BGCOLOR='<?echo"$main_color"?>'>&nbsp; <FONT COLOR='#092F7B'>发件人</FONT></TD>
</TR>

<TR>
<TD BGCOLOR="<?echo"$fuse_color"?>" width="20%">&nbsp;<FONT COLOR='#092F7B'> 姓名</FONT></TD>
<TD BGCOLOR="#FFFFFF" width="80%"><INPUT type="TEXT" name="FROM_NAME" SIZE=15 VALUE="">
&nbsp;</TD>
</TR>

<TR>
<TD BGCOLOR="<?echo"$fuse_color"?>" width="20%">&nbsp;<FONT COLOR='#092F7B'> 邮件</FONT></TD>
<TD BGCOLOR="#FFFFFF" width="80%"><INPUT type="TEXT" name="FROM_EMAIL" SIZE=35 VALUE="">
&nbsp; </TD>
</TR>
</TABLE>
</TD>
</TR>
</TABLE>
</DIV>

<P>

<DIV ALIGN='CENTER'>
<TABLE WIDTH='98%' CELLSPACING='0' CELLPADDING='0' BORDER='0'>
<TR>
<TD>
<TABLE BORDER='0' CELLPADDING='2' CELLSPACING='1' WIDTH='100%' bgcolor="<?echo"$biankuang_color"?>">
<TR>
<TD WIDTH=100% COLSPAN=2 BGCOLOR='<?echo"$main_color"?>'>&nbsp; <FONT COLOR='#092F7B'>收件人</FONT></TD>
</TR>

<TR>
<TD BGCOLOR="<?echo"$fuse_color"?>" width="20%">&nbsp;<FONT COLOR='#092F7B'> 邮件</FONT></TD>
<TD BGCOLOR="#FFFFFF" width="80%"><INPUT type="TEXT" name="TO_EMAIL" SIZE=35 VALUE="">
&nbsp; </TD>
</TR>

<TR>
<TD BGCOLOR="<?echo"$fuse_color"?>" width="20%">&nbsp;<FONT COLOR='#092F7B'> 标题</FONT></TD>
<TD BGCOLOR="#FFFFFF" width="80%"><INPUT type="TEXT" name="SUBJECT" SIZE=35 VALUE="">
&nbsp; </TD>
</TR>
<?
if (file_exists("data/$type/$file_id.txt")) {
   $show_file=file("data/$type/$file_id.txt");
$show_file[0]=str_replace("<br>","\n",$show_file[0]);
$show_file[0]=strip_tags($show_file[0]);

                                    }
                                    ?>
<TR>
  <input type='hidden' name='sent' size='10' value='1' class='input'>
    <input type='hidden' name='file_name' size='10' value='<?echo"$file_info[0]";?>' class='input'>
<TD BGCOLOR="#FFFFFF" width="100%" COLSPAN=2><TEXTAREA name="CONTENT" ROWS="15" COLS="49"><?echo"$show_file[0]";?></TEXTAREA></TD>
</TR>

</TABLE>
</TD>
</TR>
</TABLE>
</DIV>

<CENTER>
<BR>
<INPUT TYPE=SUBMIT VALUE=' 发 送 ' class=border style='color: #000000; background-color: <? echo $main_color ?>'>
<INPUT TYPE=BUTTON onclick='javascript:self.close();' VALUE=' 取 消 ' class=border style='color: #000000; background-color: <? echo $main_color ?>'>
</CENTER>

</FORM>
</BODY>
</HTML>